Package org.picocontainer.converters

# Class NewInstanceConverter

java.lang.Object
org.picocontainer.converters.NewInstanceConverter

All Implemented Interfaces:
  `Converter<Object>`

public class NewInstanceConverter extends Object implements Converter<Object>
Converts a value to an object via its single-String constructor.

## Constructor Summary

Constructors
Constructor
Description
`NewInstanceConverter(Class<?> clazz)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`convert(String paramValue)`
Performs a conversion between the given parameter value and the target type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NewInstanceConverter

public NewInstanceConverter(Class<?> clazz)

## Method Details

### convert

public Object convert(String paramValue)
Description copied from interface: `Converter`
Performs a conversion between the given parameter value and the target type.

Specified by:
  `convert` in interface `Converter<Object>`
Parameters:
  `paramValue` - the string value to convert.
Returns:
  the resulting object.